﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ThinkGeo.Core;

namespace Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        InMemoryFeatureLayer inMemoryFeatureLayer;

        private void Form1_Load(object sender, EventArgs e)
        {

            map.MapUnit = GeographyUnit.Meter;
     
            // Please input your ThinkGeo Cloud Client ID / Client Secret to enable the background map.
            ThinkGeoCloudRasterMapsOverlay thinkGeoCloudMapsOverlay = new ThinkGeoCloudRasterMapsOverlay("BvRsl-73bP_CZ3y-Y0xcRymWnA372QmKAtfM4t00_4E~", "QMTq_9E1fnyXImMPD-c-whzdS7MC8V2PDde6gBJ3dpq8bL_FJQztog~~");
            thinkGeoCloudMapsOverlay.MapType = ThinkGeoCloudRasterMapsMapType.Light;
            thinkGeoCloudMapsOverlay.WrappingMode = WrappingMode.WrapDateline;
            map.Overlays.Add("ThinkGeo Cloud Maps", thinkGeoCloudMapsOverlay);

            //GoogleMapsOverlay googleMapOverlay = new GoogleMapsOverlay();
            //googleMapOverlay.IsVisible = false;
            //map.Overlays.Add("Google Maps", googleMapOverlay);

            //BingMapsOverlay bingMapOverlay = new BingMapsOverlay();
            //bingMapOverlay.ApplicationId = ""; //Please set your application id.
            //bingMapOverlay.IsVisible = false;
            //map.Overlays.Add("Bing Maps", bingMapOverlay);

            //OpenStreetMapOverlay osmOverlay = new OpenStreetMapOverlay();
            //osmOverlay.IsVisible = false;
            //map.Overlays.Add("Open Street Map", osmOverlay);
            LayerOverlay inMemoryOverlay = new LayerOverlay();
            // Create the in memory layer and add it to the map
            inMemoryFeatureLayer = new InMemoryFeatureLayer();
            inMemoryOverlay.Layers.Add("Frisco Mosquitos", inMemoryFeatureLayer);

            // Loop through all the features in the first layer and add them to the in memeory layer.  We use a shortcut called internal 
            // features that is supported in the in memory layer instead of going through the edit tools

            inMemoryFeatureLayer.InternalFeatures.Add(new Feature(0, 0));




            // Create an point style and add the text style from above on zoom level 1 and then apply it to all zoom levels up to 20.            
            inMemoryFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = new PointStyle(PointSymbolType.Circle, 12, GeoBrushes.Red, GeoPens.White);

            inMemoryFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            map.Overlays.Add(inMemoryOverlay);



        }

        private void button1_Click(object sender, EventArgs e)
        {
            inMemoryFeatureLayer.InternalFeatures.Add(new Feature(500000, 500000));
            map.Refresh();
        }
    }
}
